[pkg-java] r5518 - trunk/pj/debian
hauro-guest at alioth.debian.org
hauro-guest at alioth.debian.org
Sun Jan 20 20:52:45 UTC 2008
Author: hauro-guest
Date: 2008-01-20 20:52:45 +0000 (Sun, 20 Jan 2008)
New Revision: 5518
Modified:
trunk/pj/debian/repack.sh
Log:
Fixed some issues with dealing with versions in repackaging script
Modified: trunk/pj/debian/repack.sh
===================================================================
--- trunk/pj/debian/repack.sh 2008-01-20 20:43:41 UTC (rev 5517)
+++ trunk/pj/debian/repack.sh 2008-01-20 20:52:45 UTC (rev 5518)
@@ -16,9 +16,11 @@
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
+set -e
VERSION=$1
DEBEXT=.orig
+DVERSIONMANGLE=0.0~
OLDDIR=$(pwd)
TEMPDIR=$(mktemp -t -d pj-repack.XXXXXXXX) || exit 1
@@ -26,8 +28,13 @@
cp pjsrc${VERSION}.jar $TEMPDIR
cd $TEMPDIR
-# Extract and rename
+# Extract upstream version
jar xf pjsrc${VERSION}.jar
+
+# Switch to Debian version
+VERSION=${DVERSIONMANGLE}${VERSION}
+
+# Rename folder to Debian version
mv pj/ pj-${VERSION}
# Do the clean-up
More information about the pkg-java-commits
mailing list